- category: mandatory
  customVariables: []
  description: Constructor UnavailableException(int, Servlet, String) in javax.servlet.UnavailableException
    has been removed
  effort: 1
  labels:
  - konveyor.io/target=pgaikwad
  links:
  - title: Red Hat JBoss EAP Application Migration from Jakarta EE 8 to EE 10 - Jakarta
      Servlet
    url: https://access.redhat.com/articles/6980265#servlet
  message: Constructor UnavailableException(int, Servlet, String) in javax.servlet.UnavailableException
    has been removed. Use UnavailableException(String, int) instead.
  ruleID: javax-to-jakarta-servlet-00072
  when:
    java.referenced:
      location: CONSTRUCTOR_CALL
      pattern: javax.servlet.UnavailableException(int, javax.servlet.Servlet, java.lang.String)
- category: mandatory
  customVariables: []
  description: Method log(Exception, String) in javax.servlet.ServletContext has been
    removed
  effort: 1
  labels:
  - konveyor.io/target=pgaikwad
  links:
  - title: Red Hat JBoss EAP Application Migration from Jakarta EE 8 to EE 10 - Jakarta
      Servlet
    url: https://access.redhat.com/articles/6980265#servlet
  message: Method log(Exception, String) in javax.servlet.ServletContext has been
    removed. Use log(String, Throwable) instead.
  ruleID: javax-to-jakarta-servlet-00043
  when:
    or:
    - java.referenced:
        pattern: javax.servlet.ServletContext.log(java.lang.Exception, java.lang.String)
- category: mandatory
  customVariables: []
  description: FieldPaths#absolutize(String, String, String) has been removed
  effort: 1
  labels:
  - konveyor.io/target=pgaikwad
  links:
  - title: Hibernate Search 6.1 - Migration Guide from 6.0
    url: https://docs.jboss.org/hibernate/search/6.1/migration/html_single/#spi
  message: '`FieldPaths#absolutize(String, String, String)` must be removed.'
  ruleID: hibernate-search-6.1-00080
  when:
    or:
    - java.referenced:
        location: METHOD_CALL
        pattern: org.hibernate.search.engine.backend.common.spi.FieldPaths.absolutize(java.lang.String,
          java.lang.String, java.lang.String)
- category: mandatory
  customVariables: []
  description: Method setStatus(int, String) in javax.servlet.http.HttpServletResponseWrapper
    has been removed
  effort: 1
  labels:
  - konveyor.io/target=pgaikwad
  links:
  - title: Red Hat JBoss EAP Application Migration from Jakarta EE 8 to EE 10 - Jakarta
      Servlet
    url: https://access.redhat.com/articles/6980265#servlet
  message: Method setStatus(int, String) in javax.servlet.http.HttpServletResponseWrapper
    has been removed. Use sendError(int, String) instead.
  ruleID: javax-to-jakarta-servlet-00112
  when:
    java.referenced:
      pattern: javax.servlet.http.HttpServletResponseWrapper.setStatus(int, java.lang.String)
- category: mandatory
  customVariables: []
  description: Method setStatus(int, String) in javax.servlet.http.HttpServletResponse
    has been removed
  effort: 1
  labels:
  - konveyor.io/target=pgaikwad
  links:
  - title: Red Hat JBoss EAP Application Migration from Jakarta EE 8 to EE 10 - Jakarta
      Servlet
    url: https://access.redhat.com/articles/6980265#servlet
  message: Method setStatus(int, String) in javax.servlet.http.HttpServletResponse
    has been removed. Use sendError(int, String) instead.
  ruleID: javax-to-jakarta-servlet-00102
  when:
    java.referenced:
      pattern: javax.servlet.http.HttpServletResponse.setStatus(int, java.lang.String)
